[Bug 1911637] Re: Another app is currently holding the xtables lock

2021-09-18 Thread Rowan Wookey
Patch from https://bugs.launchpad.net/ufw/+bug/1923079 which is a dup ** Patch added: "status-wait-flag.patch" https://bugs.launchpad.net/ufw/+bug/1911637/+attachment/5526213/+files/status-wait-flag.patch -- You received this bug notification because you are a member of Ubuntu Bugs, which

[Bug 1907257] [NEW] coresight debug is not enabled in perf

2020-12-08 Thread Wookey
Public bug reported: perf can be built against libopencsd which enables decoding of coresight (arm) trace data (on any architecture). libopencsd has been in Ubuntu since focal, but the kernel has this feature off unless enabled (setting CORESIGHT=1 during the perf build, and having

[Bug 1867092] Re: Failed to set MokListRT: Invalid Parameter

2020-10-27 Thread Rowan Wookey
This worked for me on my MPB 2015 apt-get purge shim mv /boot/efi/EFI/ubuntu /root/ubuntu-efi.bak #backing up just in case grub-install /dev/sda1 -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1867092

[Bug 1886342] [NEW] Text and background colours are broken on focal when using a dark theme

2020-07-05 Thread Rowan Wookey
Public bug reported: As per this thread: https://lists.gnucash.org/pipermail/gnucash-devel/2020-February/044596.html https://lists.gnucash.org/pipermail/gnucash-devel/2020-February/044597.html https://lists.gnucash.org/pipermail/gnucash-devel/2020-February/044606.html The text and background

[Bug 1886048] [NEW] Monthly cron generates error if wtmp hasn't been rotated

2020-07-02 Thread Rowan Wookey
Public bug reported: The logrotate config for wtmp on focal looks like this: # no packages own wtmp -- we'll rotate it here /var/log/wtmp { missingok monthly create 0664 root utmp minsize 1M rotate 1 } It only rotates if wtmp is larger than 1M. In the case of a fresh install

[Bug 1872195] Re: PIDFile specified in systemd unit file but pid-file not in my.cnf

2020-04-16 Thread Rowan Wookey
I'm fine with removing the PIDFile that'd save some confusion. If you slate it for fixing in 20.10 I'm happy to test before 20.10 reaches feature freeze. -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu.

[Bug 1872195] Re: PIDFile specified in systemd unit file but pid-file not in my.cnf

2020-04-16 Thread Rowan Wookey
In my case I was using monit to monitor the process via the pidfile but it wasn't created so I had to edit my.cnf Correct me if I'm wrong but focal is in beta and beta is for finding and fixing bugs, so shouldn't this be fixed? It's not a critical issue but it's one line in a conf file so it's

[Bug 1872195] [NEW] PIDFile specified in systemd unit file but pid-file not in my.cnf

2020-04-11 Thread Rowan Wookey
Public bug reported: PIDFile=/run/mysqld/mysqld.pid Is in /lib/systemd/system/mysql.service However pid-file=/run/mysqld/mysqld.pid is missing from any file in /etc/mysql Suggest either removing PIDFile from mysql.service or adding pid- file=/run/mysqld/mysqld.pid to

[Bug 1864446] Re: Focal package missing

2020-02-24 Thread Rowan Wookey
Thanks for checking! ** Changed in: percona-xtrabackup (Ubuntu) Status: New => Invalid -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1864446 Title: Focal package missing To manage

[Bug 1864447] Re: Focal package missing

2020-02-24 Thread Rowan Wookey
OK thank you for checking! ** Changed in: mysql-utilities (Ubuntu) Status: New => Invalid -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1864447 Title: Focal package missing To manage

[Bug 1864446] [NEW] Focal package missing

2020-02-24 Thread Rowan Wookey
Public bug reported: Not sure if this is the right place to raise this. The focal feature freeze is in 3 days and this package isn't appearing, will it be added? ** Affects: percona-xtrabackup (Ubuntu) Importance: Undecided Status: New -- You received this bug notification

[Bug 1864447] [NEW] Focal package missing

2020-02-24 Thread Rowan Wookey
Public bug reported: Not sure if this is the right place to raise this. The focal feature freeze is in 3 days and this package isn't appearing, will it be added? ** Affects: mysql-utilities (Ubuntu) Importance: Undecided Status: New -- You received this bug notification because

[Bug 1858342] Re: mdcheck_start.service fails due to missing executable

2020-02-17 Thread Rowan Wookey
This also effects Focal. Considering Focal is LTS and will run on servers with RAID arrays it'd be a good idea to fix this before release. -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1858342 Title:

[Bug 1858342] [NEW] mdcheck_start.service fails due to missing executable

2020-01-05 Thread Rowan Wookey
Public bug reported: In Eoan the mdadm crons were replaced by systemd timers, specifically the one that checks the array now doesn't work due to a missing executable. * Drop /etc/cron.d/mdadm and migrate to systemd mdcheck_start|continue timer units. /lib/systemd/system/mdcheck_start.service

[Bug 1850081] Re: Folder pane text overflows

2019-11-07 Thread Rowan Wookey
I've reported upstream and linked the upstream issue here. ** Bug watch added: Mozilla Bugzilla #1594723 https://bugzilla.mozilla.org/show_bug.cgi?id=1594723 ** Also affects: thunderbird via https://bugzilla.mozilla.org/show_bug.cgi?id=1594723 Importance: Unknown Status: Unknown

[Bug 1850081] ProcCpuinfoMinimal.txt

2019-10-28 Thread Rowan Wookey
apport information ** Attachment added: "ProcCpuinfoMinimal.txt" https://bugs.launchpad.net/bugs/1850081/+attachment/5300983/+files/ProcCpuinfoMinimal.txt -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu.

[Bug 1850081] ProcEnviron.txt

2019-10-28 Thread Rowan Wookey
apport information ** Attachment added: "ProcEnviron.txt" https://bugs.launchpad.net/bugs/1850081/+attachment/5300984/+files/ProcEnviron.txt -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1850081

[Bug 1850081] Re: Folder pane text overflows

2019-10-28 Thread Rowan Wookey
See attached screenshot and I've run `apport-collect 1850081` let me know if you need anything else :) ** Attachment added: "Screenshot_20191028_213026.jpeg" https://bugs.launchpad.net/ubuntu/+source/thunderbird/+bug/1850081/+attachment/5300987/+files/Screenshot_20191028_213026.jpeg -- You

[Bug 1850081] Dependencies.txt

2019-10-28 Thread Rowan Wookey
apport information ** Attachment added: "Dependencies.txt" https://bugs.launchpad.net/bugs/1850081/+attachment/5300977/+files/Dependencies.txt -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu.

[Bug 1850081] Prefs.txt

2019-10-28 Thread Rowan Wookey
apport information ** Attachment added: "Prefs.txt" https://bugs.launchpad.net/bugs/1850081/+attachment/5300982/+files/Prefs.txt -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1850081 Title:

[Bug 1850081] Lspci.txt

2019-10-28 Thread Rowan Wookey
apport information ** Attachment added: "Lspci.txt" https://bugs.launchpad.net/bugs/1850081/+attachment/5300980/+files/Lspci.txt -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1850081 Title:

[Bug 1850081] IpAddr.txt

2019-10-28 Thread Rowan Wookey
apport information ** Attachment added: "IpAddr.txt" https://bugs.launchpad.net/bugs/1850081/+attachment/5300978/+files/IpAddr.txt -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1850081 Title:

[Bug 1850081] PciNetwork.txt

2019-10-28 Thread Rowan Wookey
apport information ** Attachment added: "PciNetwork.txt" https://bugs.launchpad.net/bugs/1850081/+attachment/5300981/+files/PciNetwork.txt -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1850081

[Bug 1850081] SubmittedCrashIDs.txt

2019-10-28 Thread Rowan Wookey
apport information ** Attachment added: "SubmittedCrashIDs.txt" https://bugs.launchpad.net/bugs/1850081/+attachment/5300986/+files/SubmittedCrashIDs.txt -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu.

[Bug 1850081] PulseList.txt

2019-10-28 Thread Rowan Wookey
apport information ** Attachment added: "PulseList.txt" https://bugs.launchpad.net/bugs/1850081/+attachment/5300985/+files/PulseList.txt -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1850081

[Bug 1850081] CurrentDmesg.txt

2019-10-28 Thread Rowan Wookey
apport information ** Attachment added: "CurrentDmesg.txt" https://bugs.launchpad.net/bugs/1850081/+attachment/5300976/+files/CurrentDmesg.txt -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu.

[Bug 1850081] IpRoute.txt

2019-10-28 Thread Rowan Wookey
apport information ** Attachment added: "IpRoute.txt" https://bugs.launchpad.net/bugs/1850081/+attachment/5300979/+files/IpRoute.txt -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1850081 Title:

[Bug 1850081] Re: Folder pane text overflows

2019-10-28 Thread Rowan Wookey
apport information ** Tags added: apport-collected eoan ** Description changed: - After upgrading to Kubuntu 19.10 I noticed the text in the folder pane - overflows which hides the unread count, it appears as if the text is - behind the scrollbar. + After upgrading to Kubuntu 19.10 I noticed

[Bug 1850081] [NEW] Folder pane text overflows

2019-10-27 Thread Rowan Wookey
Public bug reported: After upgrading to Kubuntu 19.10 I noticed the text in the folder pane overflows which hides the unread count, it appears as if the text is behind the scrollbar. ** Affects: thunderbird (Ubuntu) Importance: Undecided Status: New -- You received this bug

[Bug 1838591] [NEW] sbuild fails to install build-essential in debian unstable chroot

2019-07-31 Thread Wookey
Public bug reported: Trying to build a package in a debian unstable chroot using Bionic sbuild fails due to missing dpkg-scanpackage: $ sudo sbuild -d unstable -A -s +--+ | Install build-essential

[Bug 1804849] [NEW] Horizontal lines with fractional HiDPI scaling

2018-11-23 Thread Rowan Wookey
Public bug reported: As per https://bugs.kde.org/show_bug.cgi?id=373232 and https://bugreports.qt.io/browse/QTBUG-66036 on KUbuntu Cosmic with a HiDPI display and scaling set to a fraction horizontal lines appear in Konsole. ** Affects: konsole (Ubuntu) Importance: Undecided

[Bug 1771226] [NEW] impossible to type an option dash on mc command line

2018-05-14 Thread Wookey
Public bug reported: when using the mc shell (i.e the blue panel are up and you are typing on the bottom 'command line', the '-' key pops up the selection window instead of entering a dash. This makes it impossible to type any commands with an option in this state, which is an enormous usability

[Bug 1393729] Re: package avahi-daemon 0.6.31-4ubuntu3 failed to install/upgrade: subprocess new pre-removal script returned error exit status 1

2018-04-07 Thread Rowan Wookey
The same thing happens with 0.6.32~rc+dfsg-1ubuntu2.1 As a work around running `systemctl disable avahi-daemon.service` before the upgrade then `systemctl enable avahi-daemon.service` after the upgrade resolves the problem. -- You received this bug notification because you are a member of

[Bug 1720627] [NEW] Segfault when using docker and overlay2

2017-10-01 Thread Rowan Wookey
Public bug reported: This is the same bug as https://bugs.debian.org/cgi- bin/bugreport.cgi?bug=872926 which is fixed upstream by https://github.com/sysstat/sysstat/commit/d40c8ecc530303d7e802617f21a9ac85dbcd68bd Would it be possible to get this patch added? ** Affects: sysstat (Ubuntu)

[Bug 1589005] Re: After update DNS work unstable

2017-04-11 Thread Rowan Wookey
I had an issue that sounds like this, after disconnecting from an OpenVPN session my DNS would fail, killing dnsmasq and restarting network manager would resolve the problem. To fix it I removed all network interfaces (lan/wifi/vpn etc) from network manager, rebooted, then re-added the

[Bug 1621463] Re: Inconsistent naming of PHP7 apache module

2017-03-12 Thread Rowan Wookey
Fair enough I'll update the ansible issue. -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1621463 Title: Inconsistent naming of PHP7 apache module To manage notifications about this bug go to:

[Bug 1667550] [NEW] Edit line context menu does nothing

2017-02-23 Thread Wookey
Public bug reported: right-clicking on a line point in the xtherion graphical edit window brings up a context menu, which contains an 'edit line' option, directly corresponding to the 'edit line' button menu in the side panel. Clicking on items in this submenu (like 'delete point') make the menu

[Bug 1621463] Re: Inconsistent naming of PHP7 apache module

2016-09-09 Thread Rowan Wookey
Correct me if I'm wrong but a2enmod is a Debian/Ubuntu thing not related to the upstream, this appears to be due to the new naming scheme Ubuntu has adopted. Previously PHP was php5 now Ubuntu has add php7.0, the addition of .0 is an Ubuntu thing and inconsistent to previous releases. -- You

[Bug 1621463] [NEW] Inconsistent naming of PHP7 apache module

2016-09-08 Thread Rowan Wookey
Public bug reported: apache2ctl -M outputs the PHP 7 module as php7_module where as a2enmod expects php7.0 this causes problems with automation tools see here https://github.com/ansible/ansible-modules-core/issues/4744 ** Affects: php7.0 (Ubuntu) Importance: Undecided Status:

[Bug 1577113] Re: 50/50 chance for BCM43602 to come up correctly during boot

2016-05-22 Thread Rowan Wookey
sudo modprobe -r brcmfmac && sudo modprobe brcmfmac also works for me on my mac book pro running xenial mate edition. Another note that if the laptop goes to sleep and wakes it may lose the network interface. It appears as 'auto ethernet' when it's not functioning properly. -- You received this

[Bug 1407990] Re: apache2.4 mod-php5.5 random segmentation faults in zend_stack_push() and zend_hash_find()

2015-02-25 Thread Rowan Wookey
I've also encountered this I'm not positive that the sefaults are the same, however, I disabled APC on 12.04 and the OPCache on 14.04 and the servers have stopped segfaulting. Hopefully this helps! -- You received this bug notification because you are a member of Ubuntu Server Team, which is

[Bug 1407990] Re: apache2.4 mod-php5.5 random segmentation faults in zend_stack_push() and zend_hash_find()

2015-02-25 Thread Rowan Wookey
I've also encountered this I'm not positive that the sefaults are the same, however, I disabled APC on 12.04 and the OPCache on 14.04 and the servers have stopped segfaulting. Hopefully this helps! -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed

[Bug 1239173] Re: qt4-x11 - binaries linked against libQtCore don't start

2014-01-15 Thread Wookey
Has this patch been sent upstream to QT? ** Bug watch added: Debian Bug tracker #735488 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=735488 ** Also affects: qt4-x11 (Debian) via http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=735488 Importance: Unknown Status: Unknown --

[Bug 1102107] Re: Add basic arm64 support into OpenSSL

2013-12-16 Thread Wookey
** Bug watch added: Debian Bug tracker #732348 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=732348 ** Also affects: openssl via http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=732348 Importance: Unknown Status: Unknown -- You received this bug notification because you are a

[Bug 1122120] Re: Multiarchify tcl8.5

2013-09-25 Thread Wookey
** Changed in: tcl8.5 (Ubuntu) Status: Fix Released = Won't Fix -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1122120 Title: Multiarchify tcl8.5 To manage notifications about this bug go

[Bug 1190669] [NEW] Reportbug ignores smtphost and mta config file settings

2013-06-13 Thread Wookey
Public bug reported: I am attempting to use reportbug to report debian bugs from an ubuntu machine from within an office where ports 25 and 587 are blocked, so mail can only go via the configure locahost mail setup. If I set bts debian in /etc/reportbug.conf (so that I don't get the 'use

[Bug 1190233] [NEW] FTBFS: Stress does not build a second time

2013-06-12 Thread Wookey
Public bug reported: After building stress a second invocation of dpkg-buildpackage will fail with: dpkg-source: error: cannot represent change to stress-1.0.1/src/stress.o: binary file contents changed dpkg-source: error: cannot represent change to stress-1.0.1/src/stress: binary file contents

[Bug 1190233] Re: FTBFS: Stress does not build a second time

2013-06-12 Thread Wookey
** Bug watch added: Debian Bug tracker #712061 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=712061 ** Also affects: stress (Debian) via http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=712061 Importance: Unknown Status: Unknown -- You received this bug notification because

[Bug 1185896] [NEW] apt makes wrong resolver choice when foreign arch repo included

2013-05-30 Thread Wookey
by doing sbuild-createchroot for raring on amd64 box adding this repo to apt config: deb [arch=arm64] http://people.debian.org/~wookey/bootstrap/ubunturepo/ raring-bootstrap main universe deb-src http://people.debian.org/~wookey/bootstrap/ubunturepo/ raring-bootstrap main universe and doing the above

[Bug 1185896] Re: apt makes wrong resolver choice when foreign arch repo included

2013-05-30 Thread Wookey
script log of session demonstarting that it works until the arm64 repo is added, then it doesn't until multiarch-support:amd64 is explicitly specified ** Attachment added: script of session demonstrating problem

[Bug 1185896] Re: apt makes wrong resolver choice when foreign arch repo included

2013-05-30 Thread Wookey
It's unclear to me exactly what's going wrong here, but the fact that multiarch-support:arm64 is being considered by the resolver seems wrong, when the native arch is amd64 and the foreign arch is armhf. Should it not be filtered out? Should this package even appear in the apt cache? (maybe that

[Bug 1151563] [NEW] cross-build support for jade

2013-03-06 Thread Wookey
Public bug reported: Jade needs a few fixes to cross-build. ** Affects: jade (Ubuntu) Importance: Undecided Status: New ** Tags: cross patch ** Patch added: jade_1.2.1-47.1ubuntu1-cross.patch

Re: [Bug 1136979] Re: gcc-4.7 tries to build fortran when crossing, but no cross-fortran is available

2013-03-01 Thread Wookey
++ but not fortran. A proper mapping from build-dep to target-build-dep is needed to fix this in the general case (which we already knew) so that build daemons can just DTRT. I'd better try and spec that up as quite a few packages have to be manually built because of this. Wookey -- Principal hats

[Bug 1133104] Re: gcc-4.7 no longer builds for arm64

2013-02-28 Thread Wookey
Confirmed fixed in gcc-4.7-4.7.2-22ubuntu2 cheers ** Changed in: gcc-4.7 (Ubuntu) Status: New = Fix Released -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1133104 Title: gcc-4.7 no longer

[Bug 1136979] [NEW] gcc-4.7 tries to build fortran when crossing, but no cross-fortran is available

2013-02-28 Thread Wookey
Public bug reported: cross building gcc4.7 for arm64/aarch64 (build !=host, host=target) fails because fortran is an enabled language but we don't build a cross- fortran to build it with, so the build fails. When cross-building, fortran should be disabled (unless we also start building

[Bug 1131710] Re: nspr: add arm64 support

2013-02-25 Thread Wookey
** Description changed: nspr needs to know about arm64/aarch64 in order to build for that arch. This is dealt with in https://bugs.launchpad.net/ubuntu/+source/nspr/+bug/1095309 - Herer is a patch for that applied to the current package. + Here is a patch for that applied to the current

[Bug 1097993] Re: Multiarch support for equivs

2013-02-25 Thread Wookey
Patch updated upstream to include docs and remove the Multi-Arch: header for the package itself as a) it's covered in another bug (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=697820) and b) it was in the wrong stanza. ** Description changed: Equivs cannot currently make packages with

[Bug 1132807] [NEW] equivs: Add multiarch metadata

2013-02-25 Thread Wookey
Public bug reported: Equivs itself needs to be be marked multi-arch: foreign so that it can correctly satisfy build-dependencies for any architecure. This is different from lp:1097993 which is about equivs _generating_ packages with this header in. This patch split out from original patch in

[Bug 1132813] [NEW] equivs: add support for links in generated packages

2013-02-25 Thread Wookey
Public bug reported: It is sometimes extremely useful for an equivs-generated package to contain links (pointing to the files that it is pretending to have installed), in much the same way that it can supply files. This patch adds that functionality. This is vital for (for example) installing

[Bug 1132807] Re: equivs: Add multiarch metadata

2013-02-25 Thread Wookey
** Tags added: multiarch -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1132807 Title: equivs: Add multiarch metadata To manage notifications about this bug go to:

[Bug 1097993] Re: Multiarch support for equivs

2013-02-25 Thread Wookey
** Tags added: patch-forwarded-debian -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1097993 Title: Multiarch support for equivs To manage notifications about this bug go to:

[Bug 1133104] [NEW] gcc-4.7 no longer builds for arm64

2013-02-25 Thread Wookey
Public bug reported: gcc-4.7-4.7.2-21ubuntu3 builds for arm64, but gcc-4.7-4.7.2-22ubuntu1 fails. Using this command: CONFIG_SITE=/etc/dpkg-cross/cross-config.arm64 DEB_BUILD_OPTIONS=nocheck dpkg-buildpackage -kBEA7C52D -aarm64 -B -d after the patching and setup we get: mkdir

[Bug 1133104] Re: gcc-4.7 no longer builds for arm64

2013-02-25 Thread Wookey
Build log: http://people.linaro.org/~wookey/buildd/raring- arm64/gcc-4.7_4.7.2-22ubuntu1-raring-arm64-20130224-0335.log -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1133104 Title: gcc-4.7

[Bug 1095309] Re: nspr needs aarch64 support

2013-02-22 Thread Wookey
** Also affects: nspr (Ubuntu) Importance: Undecided Status: New -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1095309 Title: nspr needs aarch64 support To manage notifications about

[Bug 1095309] Re: nspr needs aarch64 support

2013-02-22 Thread Wookey
** No longer affects: nspr (Ubuntu) -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1095309 Title: nspr needs aarch64 support To manage notifications about this bug go to:

[Bug 1131710] [NEW] nspr: add arm64 support

2013-02-22 Thread Wookey
Public bug reported: nspr needs to know about arm64/aarch64 in order to build for that arch. This is dealt with in https://bugs.launchpad.net/ubuntu/+source/nspr/+bug/1095309 Herer is a patch for that applied to the current package. ** Affects: nspr (Ubuntu) Importance: Undecided

[Bug 1129373] [NEW] dctrl-tools needs multiarch metadata

2013-02-18 Thread Wookey
Public bug reported: This tool should be marked multi-arch: foreign so that build-dependencies are installed when cross-building. libxcb build-depnds on it for example, and needs to be cross-buildable as part of the core system bootstrap. ** Affects: grep-dctrl Importance: Unknown

[Bug 1129376] [NEW] libxcb should build dep on python:any to cross-build

2013-02-18 Thread Wookey
Public bug reported: This package needs the native version of python (which is M-A: allowed) to cross-build so its build dep should be on python:any Doing this (as well as having a multi-arch: foreign version of dctrl-tools available) means that apt-get build-dep -aarch libxcb works as expected

[Bug 1129389] [NEW] libx11: add arm64 support

2013-02-18 Thread Wookey
Public bug reported: The debian symbols files needs updating for this package to build for arm64. Simple patch attached ** Affects: libx11 (Ubuntu) Importance: Undecided Status: New ** Tags: arm64 patch ** Patch added: libx11_1.5.0-1-arm64.patch

[Bug 1126392] [NEW] pam doesn't cross-build due to missing --enable-dbm in db

2013-02-15 Thread Wookey
this doesn't show up normally. I presume that the normal db configuration implies --enable-dbm, but the stage1 config used in http://people.debian.org/~wookey/bootstrap/ubunturepo/pool/main/d/db/db_5.1.29-5ubuntu6profile1_source.changes (which turns off the java and python and tcl bindings) implies --disable

[Bug 1126392] Re: pam doesn't cross-build due to missing --enable-dbm in db

2013-02-15 Thread Wookey
** Also affects: pam Importance: Undecided Status: New ** Project changed: pam = pam (Ubuntu) ** Summary changed: - pam doesn't cross-build due to missing --enable-dbm in db + pam doesn't bootstrap due to missing --enable-dbm in db -- You received this bug notification because you

[Bug 1126404] [NEW] pam needs a build profile for bootstrapping without libaudit

2013-02-15 Thread Wookey
Public bug reported: Latest version of pam build-deps on libaudit-dev, which is not necessarily available new architectures, and implies other un-needed build-deps (libcap-ng in this case). Simplest is to build without this for bootstrapping. Here is a simple patch to enable that. The control

[Bug 1101977] Re: Fix wrong-arch issues in crossbuild of libnih

2013-02-14 Thread Wookey
OK. confirmed that this does indeed work for me too on arm64. However in order to make this automatable, we need dpkg checkbuilddeps to understand :any/:native. (apt already understands and does the hard bit of installing the right packages, but then dpkg complains that build- deps are not

[Bug 1124728] [NEW] openbsd-inetd does not crossbuild

2013-02-13 Thread Wookey
Public bug reported: This package has no crossbuild support. It is very simple so adding it is straightforward. Patch attached. ** Affects: openbsd-inetd (Ubuntu) Importance: Undecided Status: Confirmed ** Tags: arm64 cross patch ** Patch added:

[Bug 1123251] Re: udev build after source -sa build fails due to missing configure target

2013-02-13 Thread Wookey
** Patch added: udev-175-0ubuntu17-configure-target.patch https://bugs.launchpad.net/ubuntu/+source/udev/+bug/1123251/+attachment/3526375/+files/udev-175-0ubuntu17-configure-target.patch ** Tags added: patch -- You received this bug notification because you are a member of Ubuntu Bugs,

[Bug 1124728] [NEW] openbsd-inetd does not crossbuild

2013-02-13 Thread Wookey
Public bug reported: This package has no crossbuild support. It is very simple so adding it is straightforward. Patch attached. ** Affects: openbsd-inetd (Ubuntu) Importance: Undecided Status: Confirmed ** Tags: arm64 cross patch ** Patch added:

[Bug 1123251] [NEW] udev build after source -sa build fails due to missing configure target

2013-02-12 Thread Wookey
Public bug reported: If you do a source-with-tarball udev build then all subsequent builds will fail because the configure file has been removed and there is no configure: target to remake it apt-get source udev cd udev-175 dpkg-buildpackage -S -sa dpkg-buildpackage -B results in debian/rules

[Bug 1122120] [NEW] Multiarchify tcl8.5

2013-02-11 Thread Wookey
Public bug reported: TCL needs 'multiarching' so that it has co-installable libraries and config scripts for packages to cross-build with. e.g sqlite3, but in fact anything with tcl language bindings (45 packages build-dep on tcl8.5, and 65 on tcl-dev). The attached patch provides such

[Bug 1122120] Re: Multiarchify tcl8.5

2013-02-11 Thread Wookey
** Bug watch added: Debian Bug tracker #698674 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=698674 ** Also affects: tcl via http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=698674 Importance: Unknown Status: Unknown -- You received this bug notification because you are a

[Bug 1120810] [NEW] eglibc needs a stage2 for bootstrapping

2013-02-09 Thread Wookey
Public bug reported: eglibc already has a DEB_STAGE=stage1 for doing the toolchain bootstrap, but we also need a stage2 for an architecture bootstrap which builds 'full eglibc' but without libselinux and libcap2 (and libaudit) (because those aren't built yet when building eglibc for the 1st time

[Bug 1118246] [NEW] autogen: Add multiarch metadata

2013-02-07 Thread Wookey
Public bug reported: Autogen needs to be marked Multi-Arch: foreign in order to be used as a build-dep when cross-building ** Affects: autogen (Ubuntu) Importance: Undecided Status: New ** Tags: arm64 cross multiarch ** Patch added: autogen-1:5.12-0.1ubuntu2-multiarch.patch

[Bug 1118615] [NEW] apt: Add support for profile builds

2013-02-07 Thread Wookey
Public bug reported: When bootstrapping new architectures is is necessary to be able to build with reduced dependencies in order to untangle cyclic build- dependencies. This patch provides a worked example of that functionality. The syntax for this feature is not yet fully specified upstream so

[Bug 1118626] [NEW] binutils: Split out libiberty-dev to multiarch paths

2013-02-07 Thread Wookey
Public bug reported: The kernel build-depends on binutils-dev for builds, (because libiberty is used for perf in the linux-tools package). This prevents automated kernel cross-building because binutils-dev is not Multi-Arch: same, and cannot be easily made so due to its dependency on binutils. So

[Bug 1118626] Re: binutils: Split out libiberty-dev to multiarch paths

2013-02-07 Thread Wookey
But it isn't a separate source - it's all built together from the binutils source. What's the point of having another copy of binutils upstream source to make libiberty-dev out of? And I/we have no control over which libraries upstreams use. There are 40 source packages that build-dep on

[Bug 1117304] [NEW] fdupes: Add multiarch metadata

2013-02-06 Thread Wookey
Public bug reported: fdupes needs to be marked M-A: foreign in order to satisfy cross-build- deps (e.g. for eglibc) ** Affects: fdupes Importance: Unknown Status: Unknown ** Affects: fdupes (Ubuntu) Importance: Undecided Status: New ** Tags: arm64 cross multiarch

[Bug 1117602] [NEW] eglibc does not crossbuild for arm64

2013-02-06 Thread Wookey
Public bug reported: Attempting to cross-build eglibc for arm64 gives this: (exec 31; exit `( ( ( cd build-tree/arm64-libc CC=aarch64-linux-gnu-gcc-4.7 CXX=aarch64-linux-gnu-g++-4.7 AUTOCONF=false MAKEINFO=: /home/wookey/linaro/armv8/toolchain/raringnew/eglibc-2.17/configure --host

[Bug 1109050] [NEW] libbsd: add arm64/aarch64 support

2013-01-29 Thread Wookey
Public bug reported: Add support for aarch64 elf config. Direct from upstream patch: https://bugs.launchpad.net/linaro-aarch64/+bug/1107878 ** Affects: libbsd (Ubuntu) Importance: Undecided Status: Confirmed ** Tags: arm64 patch patch-forwarded-upstream ** Patch added:

[Bug 1105251] [NEW] Fix cross- linux-tools build

2013-01-25 Thread Wookey
Public bug reported: cross-building the kernel with sbuild --host or apt-get build-dep -aarmhf dpkg-buildpackage -aarmhf does not work. The kernel part is OK but the tools package build falls over. There were various reasons for this. First the cross-build-deps do not install because

[Bug 1105251] Re: Fix cross- linux-tools build

2013-01-25 Thread Wookey
Patch incorporating initial cross-fixes and build_arch-kernel-arch rename ** Patch added: linux-3.8.0-1.5-toolscrossfix-2.patch https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1105251/+attachment/3500245/+files/linux-3.8.0-1.5-toolscrossfix-2.patch -- You received this bug notification

[Bug 1105251] Re: Fix cross- linux-tools build

2013-01-25 Thread Wookey
Patch including all the fixes ** Patch added: linux-3.8.0-1.5-toolscrossfix-3.patch https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1105251/+attachment/3500246/+files/linux-3.8.0-1.5-toolscrossfix-3.patch -- You received this bug notification because you are a member of Ubuntu Bugs,

[Bug 1105251] Re: Fix cross- linux-tools build

2013-01-25 Thread Wookey
This is the same issue as https://bugs.launchpad.net/linaro- ubuntu/+bug/1104017 but a different patch (for current raring kernel), and including the optional-library fix. I couldn't work out the right launchpad button for linking these two reports, but I assume it is possible. -- You received

[Bug 1105251] Re: Fix cross- linux-tools build

2013-01-25 Thread Wookey
** Changed in: linux (Ubuntu) Status: Incomplete = Confirmed -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1105251 Title: Fix cross- linux-tools build To manage notifications about this bug

[Bug 1105368] [NEW] db: crossbuild and arm64 fixes

2013-01-25 Thread Wookey
Public bug reported: db does not crossbuild for a new architecture. Nor would it crossbuild for an existing architecture doing a stage1 profile build either (I don't think). I couldn't even get it to natively build without nobbling the db_signature thing. I don't understand how that is supposed

[Bug 1103271] [NEW] libsemanage: Add crossbuild support

2013-01-22 Thread Wookey
Public bug reported: libsemanage has no cross-build support. It builds for the wrong arch and fails to find libraries in multiarch directories. This patch makes it use the HOST arch compiler and linker and multiarch libary paths, and also fixes an issue with the package not running make clean

[Bug 1102602] [NEW] zlib: zconf.h not multiarch-safe

2013-01-21 Thread Wookey
Public bug reported: zconf.h from zlib1g-dev is not identical when cross and natively built and is probably not identical across architectures, due to the way that Z_U4 is defined in the file. Details are given in DebianBug:698648 The simplest fix is to move this file to a multiarch location,

[Bug 1102602] Re: zlib: zconf.h not multiarch-safe

2013-01-21 Thread Wookey
** Bug watch added: Debian Bug tracker #698648 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=698648 ** Also affects: zlib via http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=698648 Importance: Unknown Status: Unknown -- You received this bug notification because you are a

[Bug 1102043] [NEW] Crossbuild fix for aarch64

2013-01-20 Thread Wookey
Public bug reported: config.sub and guess need updating to build for arm64. Easiest way is to add --with autoreconf as this is a dhified package. ** Affects: json-c (Ubuntu) Importance: Undecided Status: New ** Tags: arm64 cross patch ** Patch added:

[Bug 1102107] [NEW] Add basic arm64 support

2013-01-20 Thread Wookey
Public bug reported: Openssl doesn't build for arm without having a suitable config line in its ./configure. This patch adds one, with assembler turned off, which allows the package to build. ** Affects: openssl (Ubuntu) Importance: Undecided Status: New ** Tags: arm64 patch **

[Bug 1101977] [NEW] Fix wrong-arch issues in crossbuild of libnih

2013-01-19 Thread Wookey
Public bug reported: libnih1.0.3-4ubuntu15 gained cross-build support which is great, but it has a couple of things wrong. The first is simple and trivial to fix. A BUILD/HOST typo in configure. Which causes it to fail to find dbus-1, because it used the build-arch pkgconfig. This probably

Re: [Bug 1101069] Re: Add multiarch metadata for check

2013-01-18 Thread Wookey
: same. at which point things will 'just work'. OK. Well spotted. Wookey -- Principal hats: Linaro, Emdebian, Wookware, Balloonboard, ARM http://wookware.org/ -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net

  1   2   3   4   5   >